<?php
require_once("helpers.php");
require_once("connect.php");

$success = '';
$error   = '';

if(isset($_POST["submit"]))
{   
    $idno      = trim($_POST["idno"]);
    $gender    = trim($_POST["gender"]);
    $birthdate = trim($_POST["birthdate"]);
    $age       = trim($_POST["age"]);

    // identity number is mandatory field
    if (!empty($idno)) {
        // if gender is not set - use gender from identity number
        if (empty($gender)) {
            $gender = getGenderFromIdentity($idno);
        }

        // if birthdate is set - try to parse it from format which is mentioned in html form
        if (!empty($birthdate)) {
            $birthdate = \DateTime::createFromFormat('d.m.Y', $birthdate);
        }

        // if birthdate is not valid or not set - use bday from identity number
        if (empty($birthdate)) {
            $birthdate = getBirthdateFromIdentity($idno);
        }

        // if age is not set - use age from identity number
        if (empty($age)) {
            $age = getAgeFromBirthday($birthdate);
        }

        $idno      = mysqli_real_escape_string($mysqli, $idno);
        $gender    = mysqli_real_escape_string($mysqli, $gender);
        $birthdate = mysqli_real_escape_string($mysqli, $birthdate->format('Y-m-d'));
        $age       = mysqli_real_escape_string($mysqli, $age);

        $query = sprintf(
            "INSERT INTO tblpersons (gender,idno,birthdate,age) VALUES ('%s','%s','%s','%d')", 
            $gender, 
            $idno, 
            $birthdate, 
            $age
        );
        $query = mysqli_query($mysqli, $query);

        if ($query) {
            $success = "Thank You! you are now registered.";
        } else {
            $error = "Sorry, your request can't be processed.";
        }
    } else {
        $error = "Please, fill the form";
    }
}
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Race Registration Form by Zululand Multisport</title>
<script type='text/javascript' src='http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js'></script>
<link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css" />
<link rel="stylesheet" href="/resources/demos/style.css" />
<script type='text/javascript' src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script type='text/javascript' src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<style>
label
{
    font-family:Consolas, "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", Monaco, "Courier New", monospace;
    font-size:20px;
    font-weight:bold;
}
.input
{
    padding:5px;
    font-family:Consolas, "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", Monaco, "Courier New", monospace;
    font-size:18px;
}
input[type=submit]
{
    padding:5px;
    font-family:Consolas, "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", Monaco, "Courier New", monospace;
    font-size:18px;
    font-weight:bold;
    background:#999;
    border:2px solid black;
    color:#FFF;
}
fieldset
{
    width: 500px;
}
fieldset legend
{
    padding:2px;
    font-family:Consolas, "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", Monaco, "Courier New", monospace;
    font-size:14px;
    font-weight:bold;
    background:#999;
    border:2px solid black;
    color:#FFF;
}
.success
{
    color:green;
    font-family:Consolas, "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", Monaco, "Courier New", monospace;
    font-size:16px;
}
.error
{
    color:red;
    font-family:Consolas, "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", Monaco, "Courier New", monospace;
    font-size:16px;
}
</style>
<script language="javascript" type="text/javascript">
function limitText(limitField, limitNum) {
    if (limitField.value.length > limitNum) {
        limitField.value = limitField.value.substring(0, limitNum);
    }
}
</script>

<body>
<form method="post" action="">

</tr>
<td height="23"></td>
<td><div align="left">
<input type="submit" name="submit" value="Home" />
</div></td>
</tr>

<fieldset>
<legend>Registration Form for Personal Details  -  (&copy; Neels Ferreira - 2017) </legend>
<?php echo $todaydate = date('d/m/Y');?>

<table width="600" border="2" cellpadding="10" cellspacing="10">
<?php if (!empty($success)): ?>
<tr>
    <td colspan="2" align="center" class="success"><?php echo $success; ?></td>
</tr>
<?php endif; ?>
<?php if (!empty($error)): ?>
<tr>
    <td colspan="2" align="center" class="error"><?php echo $error; ?></td>
</tr>
<?php endif; ?>

<tr>
<td><div align="right"><label for="idno">idno</label></div></td>
<td><input id="idno" name="idno" type="text" class="input" size="20" onKeyDown="limitText(this,13);" onKeyUp="limitText(this,13);"/></td>
</tr>

<tr>
<td><div align="right"><label for="name">birthdate</label></div></td>
<td><input name="birthdate" type="date" class="input" size="20"  /></td>
</tr>

<tr>
<td><div align="right"><label for="name">gender</label></div></td>
<td><input name="gender" type="date" class="input" size="10"  /></td>
</tr>

<tr>
<td><div align="right"><label for="name">age (31/12)</label></div></td>
<td><input name="age" type="text" class="input" size="10" /></td>
</tr>

<tr>
<td height="23"></td>
<td><div align="left"><input type="submit" name="submit" value="Add Personal Details and Continue!" /></div></td>
</tr>

</table>
</fieldset>

</body>
</html>